Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class BytePropertyNode

    java.lang.Object
      org.apache.poi.hwpf.model.PropertyNode
          org.apache.poi.hwpf.model.BytePropertyNode

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable

Direct Known Subclasses:
  CHPX, PAPX

Deprecated. byte positions shall not be saved in memory

    public abstract class BytePropertyNode

extends PropertyNode

Normally PropertyNodes only ever work in characters, but a few cases actually store bytes, and this lets everything still work despite that. It handles the conversion as required between bytes and characters.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hwpf.model.PropertyNode
`PropertyNode.EndComparator, PropertyNode.StartComparator`

Constructor Summary
`BytePropertyNode(int fcStart, int fcEnd, CharIndexTranslator translator, java.lang.Object buf)` Deprecated.
`BytePropertyNode(int charStart, int charEnd, java.lang.Object buf)` Deprecated.

Method Summary
`int` | `getEndBytes()` Deprecated. Though bytes are actually stored in file, it is advised to use char positions for all operations. Including save operations, because only char positions are preserved.
`int` | `getStartBytes()` Deprecated. Though bytes are actually stored in file, it is advised to use char positions for all operations. Including save operations, because only char positions are preserved.

Methods inherited from class org.apache.poi.hwpf.model.PropertyNode
`adjustForDelete, clone, compareTo, equals, getEnd, getStart, hashCode, setEnd, setStart`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BytePropertyNode

    public BytePropertyNode(int fcStart,
                            int fcEnd,
                            CharIndexTranslator translator,
                            java.lang.Object buf)

  Deprecated.

  Parameters:
    `fcStart` - The start of the text for this property, in _bytes_
    `fcEnd` - The end of the text for this property, in _bytes_

### BytePropertyNode

    public BytePropertyNode(int charStart,
                            int charEnd,
                            java.lang.Object buf)

  Deprecated.

Method Detail

### getStartBytes

    public int getStartBytes()

  Deprecated. Though bytes are actually stored in file, it is advised to use char positions for all operations. Including save operations, because only char positions are preserved.

### getEndBytes

    public int getEndBytes()

  Deprecated. Though bytes are actually stored in file, it is advised to use char positions for all operations. Including save operations, because only char positions are preserved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD